# List function event types

> List the event types a function trigger can subscribe to. Includes the special type cron, which fires on a schedule (see POST /v1/functions/{functionId}/triggers) rather than on a messaging event.

`GET https://api.zavu.dev/v1/functions/event-types`

List the event types a function trigger can subscribe to. Includes the special type `cron`, which fires on a schedule (see POST /v1/functions/{functionId}/triggers) rather than on a messaging event.

## Responses

### 200

Supported event types.

- `events` (string[], required)

### 401

Unauthorized.

- `code` (string, required)
- `message` (string, required)
- `details` (object)

## Example

```bash
curl -X GET "https://api.zavu.dev/v1/functions/event-types" \
  -H "Authorization: Bearer $ZAVUDEV_API_KEY"
```

```typescript
import Zavudev from "@zavudev/sdk";

const zavu = new Zavudev({ apiKey: process.env.ZAVUDEV_API_KEY });

const result = await zavu.functions.listEventTypes();

console.log(result);
```
